fop 1.1

## org.apache.fop.afp.modca
Class PageSegment

    java.lang.Object
      org.apache.fop.afp.modca.AbstractAFPObject
          org.apache.fop.afp.modca.AbstractStructuredObject
              org.apache.fop.afp.modca.AbstractTripletStructuredObject
                  org.apache.fop.afp.modca.AbstractNamedAFPObject
                      org.apache.fop.afp.modca.PageSegment

All Implemented Interfaces:
  Streamable

    public class PageSegment

extends AbstractNamedAFPObject

A page segment is a MO:DCA-P resource object. It may be stored in an external resource library or it may be carried in a resource group. Page segments contain any combination of IOCA image objects and GOCA graphics objects.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`AbstractAFPObject.Category, AbstractAFPObject.Type`

Field Summary

Fields inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`name`

Fields inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`triplets`

Fields inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`LOG, SF_CLASS, SF_HEADER_LENGTH`

Constructor Summary
`PageSegment(java.lang.String name)` Main constructor

Method Summary
`void` `addObject(AbstractAFPObject object)` Adds a resource object (image/graphic) to this page segment
`java.util.List` `getObjects()` Returns a list of objects contained withing this page segment
`java.lang.String` `toString()`
`protected void` `writeContent(java.io.OutputStream os)` Helper method to write the contents of the Object.
`protected void` `writeEnd(java.io.OutputStream os)` Helper method to write the end of the Object.
`protected void` `writeStart(java.io.OutputStream os)` Helper method to write the start of the Object.

Methods inherited from class org.apache.fop.afp.modca.AbstractNamedAFPObject
`copySF, getName, getNameBytes, getNameLength, setName`

Methods inherited from class org.apache.fop.afp.modca.AbstractTripletStructuredObject
`addTriplet, addTriplets, getFullyQualifiedName, getTripletDataLength, getTriplets, hasTriplet, hasTriplets, setComment, setFullyQualifiedName, setObjectClassification, writeTriplets`

Methods inherited from class org.apache.fop.afp.modca.AbstractStructuredObject
`writeToStream`

Methods inherited from class org.apache.fop.afp.modca.AbstractAFPObject
`copySF, truncate, writeChunksToStream, writeObjects`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PageSegment

    public PageSegment(java.lang.String name)

  Main constructor

  Parameters:
    `name` - the name of this object

Method Detail

### getObjects

    public java.util.List getObjects()

  Returns a list of objects contained withing this page segment

  Returns:
    a list of objects contained within this page segment

### addObject

    public void addObject(AbstractAFPObject object)

  Adds a resource object (image/graphic) to this page segment

  Parameters:
    `object` - the resource objec to add to this page segment

### writeStart

    protected void writeStart(java.io.OutputStream os)
                       throws java.io.IOException

  Helper method to write the start of the Object.

  Overrides:
    `writeStart` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

### writeContent

    protected void writeContent(java.io.OutputStream os)
                         throws java.io.IOException

  Helper method to write the contents of the Object.

  Overrides:
    `writeContent` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - throws an I/O exception if one occurred

### writeEnd

    protected void writeEnd(java.io.OutputStream os)
                     throws java.io.IOException

  Helper method to write the end of the Object.

  Overrides:
    `writeEnd` in class `AbstractStructuredObject`
  Parameters:
    `os` - The stream to write to
  Throws:
    `java.io.IOException` - an I/O exception if one occurred

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `AbstractNamedAFPObject`

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.